<?php
/**
 * @package		WE Domain Checker (based on SecureDomainAPI) v1.2
 * @author		Web-expert.gr http://www.web-expert.gr
 * @copyright	Copyright (c) 2010 - 2012 Web-expert.gr . All rights reserved.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */
if(!count($_POST)) exit('Error with Request');
define('WEDOMAINSEARCH',1);
require('config.php');
$format=!isset($_POST['format'])?'html':strtolower($_POST['format']);
if($format=='json')
	@header('Content-Type: application/json; charset=utf-8');
else
	@header('Content-Type: text/html; charset=utf-8');

//Prepare Params
$httpParams=array('domainapi'=>'checkdomain','key'=>$apiKey,'domain'=>$_POST["domain"],'tlds'=>$_POST["tlds"],'format'=>'json');
//Make Request
$stream=stream_context_create(array('http' => array('user_agent' => $_SERVER['HTTP_USER_AGENT'])));
$dataJSON=file_get_contents($domainApiURL.'/index.php?'.http_build_query($httpParams),false,$stream); //get Data
if($format=='json')
{
	echo $dataJSON;
}else{
	$data=@json_decode($dataJSON,true);

	if(count($data['errors'])){
		echo '<span class="alert alert-danger">'.implode('<br/>',$data['errors']).'</span>';
		return;
	}
	$registerForm=false;
	$formdata='';
	foreach($data['apiresponse'] as $domain=>$result){
		if($result['status']=='available'){
			if(!$registerForm){
				$formdata.='<input type="hidden" name="domain" value="'.$result["sld"].'" />';
				$registerForm=true;
			}
			$formdata.='<div class="tldrs"><input name="ext" class="regtld" type="checkbox" value="'.$result['tld'].'" /> <span class="available">'.$domain.' is available!</span></div>';
		}else{
			$formdata.='<div class="tldrs"><input class="regtld" type="checkbox" value="'.$result['tld'].'" disabled /> <span class="unavailable">'.$domain.' is unavailable!</span> ';
			$formdata.='<a class="whois" href="#'.$domain.'">WHOIS</a> <a target="_blank" class="visit" href="http://www.'.$domain.'">WWW</a><div class="whoisdata" id="whois_'.$domain.'"><a class="wclose" href="#close">Close</a><br />'.$result['whois'].'</div></div>';	
		}
	}?>
	<?php if($registerForm){ ?>
	<form name="registerdomainform" method="post" action="<?php echo $domainApiURL.'/domainchecker.php';?>">
		<?php echo $formdata;?>
		<input type="hidden" name="direct" value="true" />
		<input type="submit" id="submit" value="Register now!" class="btn btn-success registerbtn" />
	</form>
	<?php } else {
		echo $formdata;
	}
}