<?php
/**
 * @package		WE Domain Checker (based on SecureDomainAPI) v1.2
 * @author		Web-expert.gr http://www.web-expert.gr
 * @copyright	Copyright (c) 2010 - 2012 Web-expert.gr . All rights reserved.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */
define('WEDOMAINSEARCH',1);
require('config.php');

?>
<html>
<head>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/css/bootstrap.min.css" type="text/css" />
  <link rel="stylesheet" href="assets/style.css" type="text/css" />
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js">jQuery.noConflict();</script> 
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js" type="text/javascript"></script>
  <script src="assets/checker.js"></script> 
  <title>Domain Checker v1.3</title>
  <style>
	.Wedomainchecker{margin:0 auto;}
  </style>
</head>
<body>
<div class="container">
	<div class="row">
		<div class="Wedomainchecker col-md-auto" id="domainchecker1" style="max-width:600px;">
			<h3>Domain Checker PHP example based on <a href="https://www.web-expert.gr/en/whmcs-addons-modules/item/89-whmcs-secure-domain-api">SecureDomainAPI</a></h3>
			<!-- Domain Field -->
			<div class="domainfields">
				<div class="input-group">
					<input type="text" class="form-control domainfield" name="domain" size="25" maxlength="60" placeholder="Please type here your domain" value="" />
					<div class="input-group-btn">
						<button id="searchBtn" type="button" class="btn btn-sm btn-success dosearchbtn"><span class="fa fa-search">&nbsp;</span> <span class="label-icon">Search</span></button>
					 </div>
				</div>
			</div>
			<!-- TLDS -->
			<div class="tlds">
				<div class="primary">
				<?php foreach ($tlds as $i=>$tld){ 
					$checkit=(in_array($tld,$tldschecked))?" checked":"";?>
					<div class="tldpos"><input class="ext" type="checkbox" name="tlds[]" value="<?php echo $tld;?>"<?php echo $checkit;?> /><span><?php echo $tld;?></span></div>
				<?php } ?>
				</div>
				<div style="clear:both;"></div>
				<div class="showmore"><img class="showmoreimg" src="assets/show_more.gif" />&nbsp;<span>More TLDs...</span></div>	
				<!-- SECONDARY TLDS -->
				<div class="secondary" style="display:none;">
					<?php foreach($tlds_secondary as $i=>$tld){
						$checkit=(in_array($tld,$tldschecked))?" checked":"";?>
						<div class="tldpos"><input class="ext" type="checkbox" name="tlds[]" value="<?php echo $tld;?>"<?php echo $checkit;?> /><span><?php echo $tld;?></span></div>
					<?php } ?>
				</div>
			</div>
			<div style="clear:both;"></div>
			<!-- RESULTS TLDS -->
			<div class="results" style="display:none;"></div>
			<div style="clear:both"></div>
			<p>Powered by <a href="https://www.web-expert.gr">web-expert.gr</a></p>
		</div>
	</div>
</div>
</body>
</html>